<div dir="ltr"><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial">(apologies for previous message without subject line.)</div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial"><br></div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial">I am attempting to update a working yocto build system with imx6 dual plus CPU running the following </div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial">kernel 4.14 with etnaviv</div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial">libmesa 17.3.0</div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial">libdrm 2.4.85</div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial">qt 5.9.2.  (qt 5.10.x also works)</div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial"><br></div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial">I would like to update to sumo yocto with</div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial">kernel 4.16 with etnaviv</div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial">libmesa 17.3.8</div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial">libdrm 2.4.91</div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial">qt 5.11</div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial"><br></div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial">This is an embedded device without X11 installed.</div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial"><br></div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial">When I run Qt5_CinematicExperience -platform eglfs I get an error "Could not queue DRM page flip on screen LVDS1 (Invalid argument)"  I get the same error with my custom application.</div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial"><br></div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial">If I run with -platform linuxfb the application runs correctly.</div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial"><br></div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial">I have swapped out libdrm, the kernel and libmesa version and find that the problem seems to follow my upgrade to qt 5.11.  Said another way, swapping the components listed above leads me to believe the problem is with the qt upgrade.  Running qt 5.11 with the other originally working components does not work.  </div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial"><br></div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial">Looking at the configure log for qtbase (5.11) it looks like all the same opengl options are configured as were configured in 5.9 and 5.10. See below.</div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial"><br></div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial">qt 5.11 configure log details. This qt does not work.</div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial"><div>QPA backends:</div><div>1185   DirectFB ............................... no</div><div>1186   EGLFS .................................. yes</div><div>1187   EGLFS details:</div><div>1188     EGLFS OpenWFD ........................ no</div><div>1189     EGLFS i.Mx6 .......................... no</div><div>1190     EGLFS i.Mx6 Wayland .................. no</div><div>1191     EGLFS RCAR ........................... no</div><div>1192     EGLFS EGLDevice ...................... yes</div><div>1193     EGLFS GBM ............................ yes</div><div>1194     EGLFS VSP2 ........................... no</div><div>1195     EGLFS Mali ........................... no</div><div>1196     EGLFS Raspberry Pi ................... no</div><div>1197     EGL on X11 ........................... no</div><div>1198   LinuxFB ................................ yes</div><div>1199   VNC .................................... yes</div><div>1200   Mir client ............................. no</div></div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial"><br></div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial">qt 5.10.1 working configure section</div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial"><div> QPA backends:</div><div>1173   DirectFB ............................... no</div><div>1174   EGLFS .................................. yes</div><div>1175   EGLFS details:</div><div>1176     EGLFS OpenWFD ........................ no</div><div>1177     EGLFS i.Mx6 .......................... no</div><div>1178     EGLFS i.Mx6 Wayland .................. no</div><div>1179     EGLFS RCAR ........................... no</div><div>1180     EGLFS EGLDevice ...................... yes</div><div>1181     EGLFS GBM ............................ yes</div><div>1182     EGLFS Mali ........................... no</div><div>1183     EGLFS Raspberry Pi ................... no</div><div>1184     EGL on X11 ........................... no</div><div>1185   LinuxFB ................................ yes</div><div>1186   VNC .................................... yes</div><div>1187   Mir client ............................. no</div><div><br></div></div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial"><br></div><div style="font-size:small;text-decoration-style:initial;text-decoration-color:initial">I would appreciate any help with this issue.  </div><br class="gmail-Apple-interchange-newline"><br><div><br></div><div>Thank you,</div><div><br></div><div><br></div><div>Dexter</div></div>